// Top-level build file where you can add configuration options common to all sub-projects/modules.
buildscript {
    apply from: "https://git.yidian-inc.com:8021/arc-android/config/raw/master/version.gradle"
    apply from: "config/config.gradle"
    addRepos(repositories)
    ext.kotlin_version = build_versions.kotlin_version
    repositories {
        maven { url 'https://maven.aliyun.com/repository/public/' }
        google()
        mavenCentral()
    }
    dependencies {
        classpath deps.gradle.plugin
        classpath deps.kotlin.plugin
        classpath deps.yac.engine
        classpath "org.jetbrains.kotlin:kotlin-gradle-plugin:$kotlin_version"
        // NOTE: Do not place your application dependencies here; they belong
        // in the individual module build.gradle files
    }
}

allprojects {
    repositories {
        maven { url 'https://maven.aliyun.com/repository/public/' }
        maven { url "http://dailybuild2.yidian-inc.com:8088/repository/maven-public/" }
        google()
        mavenCentral()
    }
    addRepos(repositories)
}

/**
 * 发布版本信息
 */
ext {
    group_id = 'com.yidian.yacmodule.shenghuoquan'
    artifact_id = ''
    version_name = '0.0.21-SNAPSHOT'
}

task clean(type: Delete) {
    delete rootProject.buildDir
}